app-edit-connection {
    app-city-input {
        mat-form-field {
            width: 100%;
        }
    }

    .o-design {

        /* width */
        ::-webkit-scrollbar {
            width: 5px;
        }

        /* Track */
        /*   ::-webkit-scrollbar-track {
        box-shadow: inset 0 0 5px grey;
        border-radius: 10px;
    } */

        /* Handle */
        ::-webkit-scrollbar-thumb {
            background: rgba(115, 115, 115);
            border-radius: 10px;
        }

        /* Handle on hover */
        ::-webkit-scrollbar-thumb:hover {
            background: rgb(70, 70, 70);
        }
    }

    hr {
        border-bottom: 1px solid rgb(45, 71, 110);
    }

    .d-flex {
        display: flex;
    }

    .bloc-content {
        width: 100%;
        gap: 10px;
        justify-content: space-evenly;
        overflow-y: auto;
        height: 80vh;
        overflow: auto;

    }

    .full-width {
        min-height: 50vh !important;
    }

    .bloc-edit {

        height: 45vh;
        width: 90%;
        border-radius: 20px;
        padding: 20px;
        gap: 5px;
        background-color: rgb(225, 234, 241);

        &.w-20 {
            width: 20% !important;
        }

        &.w-50 {
            width: 50% !important;
        }

        &.h-full {
            height: 70vh;
        }

        &.stick {
            position: sticky;
            align-self: flex-start;
            top: 0;

        }

        .form-content {
            width: 100%;

            .b-left {
                display: flex;
                flex-direction: column;
                gap: 20px;
            }

            .b-left {
                width: 100%;
            }


            margin-top: 30px;
            min-height: 75%;
        }

        .space-50 {
            min-height: 80%;
        }

        .btn-validate {
            align-items: center;
            justify-content: center;
            gap: 20px;

            button {
                min-width: 200px;
                height: 40px;
            }
        }


    }

    button.btn {
        min-width: 200px !important;
        height: 40px;
    }

    .b-right {

        display: flex;
        gap: 10px;
        width: 55%;

        &.d-column,
        .d-column {
            flex-direction: column !important;
        }

    }

    .d-column {
        flex-direction: column !important;
    }

    .arret-list-item {

        >div:nth-child(2) {
            width: 80px;

            p {
                text-overflow: ellipsis;
                overflow: hidden;
                white-space: nowrap;
            }
        }
    }

    .trip-list {
        margin-bottom: 70px;

        ul {
            margin: 0 auto;

            li {
                display: flex;
                align-items: center;
                list-style: none;
                width: 100%;
                border: 3px solid rgb(45, 71, 110);
                min-height: 10px;
                border-radius: 30px;
                padding: 30px 20px;
                margin-bottom: 10px;
                transition: 500ms;
                gap: 20px;
                justify-content: space-between;

                &.dashed {
                    border-style: dashed;
                }

                >div {
                    gap: 20px;

                    >div {
                        display: flex;
                        align-items: center;
                        gap: 5px;

                        span {
                            font-weight: bold;
                            color: rgb(45, 71, 110);
                        }
                    }
                }

                .vertical-separator {
                    min-height: 30px;
                    width: 2px;
                    border-right: 1px solid rgb(45, 71, 110);
                }
            }

            li:hover {
                box-shadow: 2px 2px 4px rgb(45, 71, 110);
                transform: scale(1.01);
            }
        }
    }

    .w-60 {
        width: 60%;
    }

}